﻿using System.Collections.ObjectModel;
using System.Windows;

namespace XamGridEditorTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        public ObservableCollection<Data> DataCollection { get; } = new ObservableCollection<Data>
        {
            new Data {Name = "Foo", Type = "bool"},
            new Data {Name = "Bar", Type = "enum"}
        };

    }
    public class Data
    {
        public string Name { get; set; }
        public string Type { get; set; }
    }
}
